Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 235468 - LSPP: ausearch does not return DAEMON_END record when searching by subject
Summary: LSPP: ausearch does not return DAEMON_END record when searching by subject
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: audit
Version: 5.0
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
: ---
Assignee: Steve Grubb
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: RHEL5LSPPCertTracker
TreeView+ depends on / blocked
 
Reported: 2007-04-05 22:35 UTC by Tom Lendacky
Modified: 2018-10-19 22:38 UTC (History)
3 users (show)

Fixed In Version: RHBA-2007-0602
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-11-07 17:04:12 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0602 normal SHIPPED_LIVE audit bug fix and enhancement update 2007-10-30 15:35:36 UTC

Description Tom Lendacky 2007-04-05 22:35:07 UTC
Description of problem:
When using ausearch to search for a subject, the tool does not return any
DAEMON_END records that contain that subject.

Version-Release number of selected component (if applicable):
audit-1.3.1-3

How reproducible:
always

Steps to Reproduce:
1. Stop and start the audit daemon
2. ausearch -m DAEMON_END to print the DAEMON_END record to see the subject
3. ausearch -su 'subject-from-step2'
  
Actual results:
no DAEMON_END matches found

Expected results:
DAEMON_END record should match

Additional info:

Comment 1 RHEL Product and Program Management 2007-04-06 00:03:36 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 3 Steve Grubb 2007-04-10 19:34:21 UTC
built audit-1.3.1-4 to solve this problem.

Comment 4 George C. Wilson 2007-04-11 23:49:14 UTC
Tom, can you verify that this is fixed in the updated package? Thanks.

Comment 5 Tom Lendacky 2007-04-12 14:45:17 UTC
Verified fixed in audit-1.3.1-4.


Comment 9 errata-xmlrpc 2007-11-07 17:04:12 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0602.html



Note You need to log in before you can comment on or make changes to this bug.